## milou 0.1

=== CMakeLists.txt ===
project(milou)

find_package(KDE4 REQUIRED)
find_package(Baloo REQUIRED)
find_package(KFileMetaData REQUIRED)

find_package(KdepimLibs)
set_package_properties(KdepimLibs PROPERTIES DESCRIPTION "KDE PIM Libraries"
                       URL "http://www.kde.org"
                       TYPE REQUIRED PURPOSE "Support for Email previews")


include(KDE4Defaults)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

include_directories(
  ${QT_INCLUDES}
  ${KDE4_INCLUDES}
  ${BALOO_INCLUDE_DIR}
  ${KFILEMETADATA_INCLUDE_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/lib
)

add_subdirectory(lib)
add_subdirectory(plasmoid)

include(MacroOptionalAddSubdirectory)
macro_optional_add_subdirectory(po)

=== lib/CMakeLists.txt ===

set (lib_SRCS
    abstractsource.cpp
    match.cpp
    context.cpp
    preview.cpp
    previewplugin.cpp
    sourcesmodel.cpp
    reversemodel.cpp
    baloorunnable.cpp

    sources/baloosource.cpp
    sources/plasmarunnersource.cpp
    sources/applicationsource.cpp
    sources/calculatorsource.cpp
)

kde4_add_library(milou SHARED ${lib_SRCS})

set_target_properties(milou PROPERTIES VERSION 0.1 SOVERSION 0.1)

target_link_libraries (milou
    ${QT_QTSCRIPT_LIBRARY}
    ${QT_QTDECLARATIVE_LIBRARY}
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KIO_LIBS}
    ${KDE4_PLASMA_LIBS}
    ${BALOO_LIBRARIES}
)

install(
  FILES miloupreviewplugin.desktop
  DESTINATION ${SERVICETYPES_INSTALL_DIR})

install(TARGETS milou EXPORT MilouLibraryTargets ${INSTALL_TARGETS_DEFAULT_ARGS})

add_subdirectory(qml)
add_subdirectory(previews)
add_subdirectory(test)

=== plasmoid/CMakeLists.txt ===
set(applet_SRCS
    applet.cpp
    configwidget.cpp
)

kde4_add_plugin(milou_applet ${applet_SRCS})
target_link_libraries(milou_applet
    ${KDE4_KDEUI_LIBS}
    ${KDE4_PLASMA_LIBS}
    ${QT_QTDECLARATIVE_LIBRARY}
)

install(TARGETS milou_applet DESTINATION ${PLUGIN_INSTALL_DIR})

# QML Files
install(DIRECTORY package/ DESTINATION ${DATA_INSTALL_DIR}/plasma/plasmoids/org.kde.milou)
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/package/metadata.desktop DESTINATION ${SERVICES_INSTALL_DIR}
        RENAME plasma-applet-milou.desktop)

=== po/CMakeLists.txt ===
# The pofiles macro creates in some versions same name targets
# which since cmake 2.8 leads to target clashes.
# Hence force the old policy for all po directories.
# http://public.kitware.com/Bug/view.php?id=12952
cmake_policy(SET CMP0002 OLD)

find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(bs)
add_subdirectory(ca)
add_subdirectory(cs)
add_subdirectory(da)
add_subdirectory(de)
add_subdirectory(el)
add_subdirectory(es)
add_subdirectory(fi)
add_subdirectory(fr)
add_subdirectory(hu)
add_subdirectory(ja)
add_subdirectory(ko)
add_subdirectory(lt)
add_subdirectory(nds)
add_subdirectory(nl)
add_subdirectory(pl)
add_subdirectory(pt)
add_subdirectory(pt_BR)
add_subdirectory(ro)
add_subdirectory(sk)
add_subdirectory(sv)
add_subdirectory(uk)
add_subdirectory(zh_CN)
add_subdirectory(zh_TW)

=== lib/previews/CMakeLists.txt ===
#
# Plain Text
#
kde4_add_plugin(miloutextplugin textplugin.cpp)

target_link_libraries(miloutextplugin
    milou
    ${KDE4_KIO_LIBS}
)

install(
FILES miloutextpreview.desktop
DESTINATION ${SERVICES_INSTALL_DIR})

install(
TARGETS miloutextplugin
DESTINATION ${PLUGIN_INSTALL_DIR})

#
# Images
#
kde4_add_plugin(milouimageplugin imageplugin.cpp)

target_link_libraries(milouimageplugin
    milou
    ${KDE4_KIO_LIBS}
    ${QT_QTDECLARATIVE_LIBRARY}
)

install(
FILES milouimagepreview.desktop
DESTINATION ${SERVICES_INSTALL_DIR})

install(
TARGETS milouimageplugin
DESTINATION ${PLUGIN_INSTALL_DIR})

#
# Emails
#
# FIXME: Why does it not work without this?
find_package(KdepimLibs)
if(KdepimLibs_FOUND)
    include_directories(${KDEPIMLIBS_INCLUDE_DIRS})

    kde4_add_plugin(milouemailplugin emailplugin.cpp)

    target_link_libraries(milouemailplugin
        milou
        ${KDE4_KIO_LIBS}
        ${KDEPIMLIBS_KMIME_LIBS}
        ${KDEPIMLIBS_AKONADI_LIBS}
    )

    install(
    FILES milouemailpreview.desktop
    DESTINATION ${SERVICES_INSTALL_DIR})

    install(
    TARGETS milouemailplugin
    DESTINATION ${PLUGIN_INSTALL_DIR})
endif(KdepimLibs_FOUND)

#
# Okular
#
#include_directories(${OKULAR_INCLUDE_DIRS})
#
#kde4_add_plugin(milouokularplugin okularplugin.cpp)
#
#target_link_libraries(milouokularplugin
#    milou
#    ${KDE4_KIO_LIBS}
#    ${KDE4_KPARTS_LIBS}
#)
#
#install(
#FILES milouokularpreview.desktop
#DESTINATION ${SERVICES_INSTALL_DIR})
#
#install(
#TARGETS milouokularplugin
#DESTINATION ${PLUGIN_INSTALL_DIR})

#
# Audio
#
kde4_add_plugin(milouaudioplugin audioplugin.cpp)

target_link_libraries(milouaudioplugin
    milou
    ${KDE4_KIO_LIBS}
    ${QT_QTDECLARATIVE_LIBRARY}
    ${BALOO_LIBRARIES}
)

install(
FILES milouaudiopreview.desktop
DESTINATION ${SERVICES_INSTALL_DIR})

install(
TARGETS milouaudioplugin
DESTINATION ${PLUGIN_INSTALL_DIR})

#
# General Files
#
kde4_add_plugin(miloufileplugin fileplugin.cpp)

target_link_libraries(miloufileplugin
    milou
    ${KDE4_KIO_LIBS}
    ${QT_QTDECLARATIVE_LIBRARY}
    ${BALOO_LIBRARIES}
)

install(
FILES miloufilepreview.desktop
DESTINATION ${SERVICES_INSTALL_DIR})

install(
TARGETS miloufileplugin
DESTINATION ${PLUGIN_INSTALL_DIR})

#
# Applications
#
kde4_add_plugin(milouapplicationplugin applicationplugin.cpp)

target_link_libraries(milouapplicationplugin
    milou
    ${KDE4_KIO_LIBS}
    ${QT_QTDECLARATIVE_LIBRARY}
)

install(
FILES milouapplicationpreview.desktop
DESTINATION ${SERVICES_INSTALL_DIR})

install(
TARGETS milouapplicationplugin
DESTINATION ${PLUGIN_INSTALL_DIR})

#
# Bookmarks
#
kde4_add_plugin(miloubookmarkplugin bookmarkplugin.cpp)

target_link_libraries(miloubookmarkplugin
    milou
    ${KDE4_KIO_LIBS}
    ${QT_QTWEBKIT_LIBRARY}
)

install(
FILES miloubookmarkpreview.desktop
DESTINATION ${SERVICES_INSTALL_DIR})

install(
TARGETS miloubookmarkplugin
DESTINATION ${PLUGIN_INSTALL_DIR})

=== lib/qml/CMakeLists.txt ===

set (plugin_SRCS
    qmlplugins.cpp
)

kde4_add_library (milouqmlplugin SHARED ${plugin_SRCS})

target_link_libraries (milouqmlplugin
    ${QT_QTSCRIPT_LIBRARY}
    ${QT_QTDECLARATIVE_LIBRARY}
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    milou
)

install (TARGETS milouqmlplugin DESTINATION ${IMPORTS_INSTALL_DIR}/org/kde/milou)
install (FILES qmldir DESTINATION ${IMPORTS_INSTALL_DIR}/org/kde/milou)

=== lib/test/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}/..
)

kde4_add_executable(modeltest modeltest.cpp test.cpp)

target_link_libraries(modeltest
  ${QT_QTCORE_LIBRARY}
  ${QT_QTTEST_LIBRARY}
  ${QT_QTGUI_LIBRARY}
  ${KDE4_KDECORE_LIBS}
  ${KDE4_KDEUI_LIBS}
  milou
)

=== po/bs/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(bs ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files})

=== po/ca/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(ca ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files})

=== po/da/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(da ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files})

=== po/fr/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(fr ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files})

=== po/hu/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(hu ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files})

=== debian/changelog ===
milou (0.1-0ubuntu2~ubuntu14.04.1) trusty-backports; urgency=medium

  * No-change backport to trusty (LP: #1324911)

 -- Felix Geyer <debfx@ubuntu.com>  Fri, 30 May 2014 17:43:33 +0200

milou (0.1-0ubuntu2) utopic; urgency=medium

  * Add upstream_remove_from_systray.diff
    - Milou crashes Plasma Desktop when using it in the systray,
      so upstream recommended that we disable this functionality

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 28 May 2014 17:24:53 +0200

milou (0.1-0ubuntu1) utopic; urgency=low

  * Initial release 

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 12 May 2014 12:40:47 +0200

=== debian/control ===
Source: milou
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: baloo-dev,
               cmake,
               debhelper (>= 9.0.0),
               kdelibs5-dev,
               kdepimlibs5-dev,
               libboost1.55-dev,
               libkfilemetadata-dev,
               libqtwebkit-dev,
               pkg-kde-tools
Standards-Version: 3.9.5
Homepage: http://www.kde.org

Package: plasma-widget-milou
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: dedicated search plasmoid for KDE
 A dedicated search application built on top of the KDE Semantic search for use
 on KDE Plasma Workspaces.

Package: plasma-widget-milou-dbg
Section: debug
Architecture: any
Priority: extra
Depends: plasma-widget-milou (= ${binary:Version}), ${misc:Depends}
Description: dedicated search application built for KDE - debug package
 A dedicated search application built on top of the KDE Semantic search for use
 on KDE Plasma Workspaces.
 .
 This package contains debugging symbols for plasma-widget-milou

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with kde

override_dh_strip:
	dh_strip --dbg-package=plasma-widget-milou-dbg

## milou 5.2.2

=== debian/changelog ===
milou (4:5.2.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 24 Mar 2015 07:36:05 -0700

milou (4:5.2.1-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 23 Feb 2015 09:44:40 -0800

milou (4:5.2.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Harald Sitter <sitter@kde.org>  Tue, 27 Jan 2015 14:56:05 +0100

milou (4:5.1.95-0ubuntu1) vivid; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Jan 2015 01:33:37 +0100

milou (4:5.1.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 15 Dec 2014 13:24:42 +0100

milou (4:5.1.1-0ubuntu1) vivid; urgency=medium

  * New upstream release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 10 Nov 2014 19:50:15 +0100

milou (4:5.1.0.1-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release
  * Remove provides plasma-widget-milou-kf5, it already breaks/replaces it

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 01 Oct 2014 16:13:01 +0200

milou (4:5.0.2-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 18 Sep 2014 07:25:02 -0700

milou (4:5.0.0-0ubuntu2) UNRELEASED; urgency=medium

  [ Jonathan Riddell ]
  * New upstream bugfix release

  [ Harald Sitter ]
  * switch to new pkg-kde-tools

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun, 10 Aug 2014 17:07:36 +0200

milou (4:5.0.0-0ubuntu1) utopic; urgency=medium

  [ Jonathan Riddell ]
  * New upstream release

  [ Scarlett Clark ]
  * Clean up copyright
  * Add lintian override so-name match.
  * Add stable to watch
  * Update watch to http://download.kde.org

  [ Harald Sitter ]
  * Clean build dependencies (drop everything not actually needed)
  * Rename binary package to milou as it contains the widget, a lib and a
    qml module.
    + Breaks, replaces, provides plasma-widget-milou-kf5

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Jul 2014 21:29:02 +0200

milou (4:4.98.0-0ubuntu1) utopic; urgency=medium

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 07 Jul 2014 14:41:40 +0200

milou (4:4.96.0-0ubuntu1) utopic; urgency=medium

  * Initial release.

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 23 May 2014 15:37:53 +0000

=== debian/control ===
Source: milou
Priority: extra
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0),
               extra-cmake-modules (>= 1.3.0~),
               libkf5declarative-dev (>= 5.2.0),
               libkf5i18n-dev (>= 5.2.0),
               libkf5runner-dev (>= 5.2.0),
               plasma-framework-dev (>= 5.2.0),
               qtdeclarative5-dev,
               qtscript5-dev,
               pkg-kde-tools
Standards-Version: 3.9.5
Section: kde
Homepage: https://projects.kde.org/projects/kde/workspace/milou
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/plasma/milou.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/milou.git

Package: milou
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: plasma-widget-milou-kf5
Replaces: plasma-widget-milou-kf5
Description: Dedicated search plasmoid.
 Milou can also be used as an alternative to KRunner, and
 does provide application launching. The main difference
 is that it concentrates more on searching.

Package: milou-dbg
Section: debug
Architecture: any
Recommends: qtbase5-dbg
Depends: milou (= ${binary:Version}), ${misc:Depends}
Description: Dedicated search plasmoid debug files.
 Milou can also be used as an alternative to KRunner, and
 does provide application launching. The main difference
 is that it concentrates more on searching.
 .
 This package contains the debugging symbols.

=== debian/watch ===
version=3
http://download.kde.org/unstable/plasma/([\d\.]+)/milou-(.*)\.tar\.xz

http://download.kde.org/stable/plasma/([\d\.]+)/milou-(.*)\.tar\.xz

## milou 5.4.2

=== debian/changelog ===
milou (4:5.4.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 02 Oct 2015 15:58:19 +0100

milou (4:5.4.1-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 08 Sep 2015 10:21:16 +0100

milou (4:5.3.95-0ubuntu1) wily; urgency=medium

  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Aug 2015 23:17:55 +0200

milou (4:5.3.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 02 Jul 2015 12:32:33 +0000

milou (4:5.3.1-0ubuntu1) wily; urgency=medium

  [ Jonathan Riddell ]
  * Plasma 5.3 beta
  * new upstream release

  [ Scarlett Clark ]
  * Vivid backport

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 05 Jun 2015 02:36:55 +0200

milou (4:5.3.1-1~) UNRELEASED; urgency=medium

  * New upstream release (5.3.0).
  * New upstream release (5.3.1).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 05 Jun 2015 11:57:19 +0200

milou (4:5.2.2-1) experimental; urgency=medium

  * New upstream release (5.2.1).
  * New patch: missing_package
  * New upstream release (5.2.2).
  * Remove patch: missing_package

 -- Maximiliano Curia <maxy@debian.org>  Wed, 25 Mar 2015 23:17:56 +0100

milou (4:5.2.0-1) experimental; urgency=medium

  * Prepare initial Debian release.
  * Add myself as Uploader.
  * Update build dependencies to build against experimental and to
    follow cmake.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update copyright information.
  * Update install files.
  * Update watch file.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 10 Feb 2015 14:27:39 +0100

=== debian/control ===
Source: milou
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.3.0~),
               libkf5coreaddons-dev,
               libkf5declarative-dev (>= 5.2.0),
               libkf5i18n-dev (>= 5.2.0),
               libkf5runner-dev (>= 5.2.0),
               libkf5service-dev,
               pkg-kde-tools (>= 0.15.16),
               plasma-framework-dev (>= 5.2.0),
               qtbase5-dev (>= 5.4),
               qtdeclarative5-dev (>= 5.4),
               qtscript5-dev (>= 5.4)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/workspace/milou
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/plasma/milou.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/milou.git

Package: milou
Architecture: any
Depends: plasma-framework, ${misc:Depends}, ${shlibs:Depends}
Breaks: plasma-widget-milou-kf5
Replaces: plasma-widget-milou-kf5
Description: Dedicated search plasmoid.
 Milou can also be used as an alternative to KRunner, and
 does provide application launching. The main difference
 is that it concentrates more on searching.

Package: milou-dbg
Section: debug
Priority: extra
Architecture: any
Depends: milou (= ${binary:Version}), ${misc:Depends}
Recommends: qtbase5-dbg
Description: Dedicated search plasmoid debug files.
 Milou can also be used as an alternative to KRunner, and
 does provide application launching. The main difference
 is that it concentrates more on searching.
 .
 This package contains the debugging symbols.

## milou 5.5.5

=== CMakeLists.txt ===
project(Milou)
set(PROJECT_VERSION "5.5.5")
set(PROJECT_VERSION_MAJOR 5)
cmake_minimum_required(VERSION 2.8.12)

find_package(ECM 1.2.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

find_package(Qt5 REQUIRED NO_MODULE COMPONENTS Script Qml Quick Widgets Test)
find_package(KF5 REQUIRED COMPONENTS CoreAddons I18n Declarative Service Plasma Runner)

include(FeatureSummary)
include(ECMAddTests)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(GenerateExportHeader)

# find_package(KdepimLibs)
# set_package_properties(KdepimLibs PROPERTIES DESCRIPTION "KDE PIM Libraries"
#                        URL "http://www.kde.org"
#                        TYPE REQUIRED PURPOSE "Support for Email previews")

add_subdirectory(lib)
add_subdirectory(plasmoid)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== lib/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"milou\")

set (lib_SRCS
    preview.cpp
    previewplugin.cpp
    sourcesmodel.cpp
)

add_library(milou SHARED ${lib_SRCS})
set_target_properties(milou PROPERTIES VERSION ${PROJECT_VERSION} SOVERSION ${PROJECT_VERSION_MAJOR} )

target_link_libraries (milou
    Qt5::Qml
    Qt5::Quick
    KF5::Service
    KF5::Plasma
    KF5::Runner
)

install(
  FILES miloupreviewplugin.desktop
  DESTINATION ${SERVICETYPES_INSTALL_DIR})

generate_export_header(milou BASE_NAME MILOU EXPORT_FILE_NAME milou_export.h)

install(TARGETS milou EXPORT MilouLibraryTargets ${INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)

add_subdirectory(qml)
add_subdirectory(previews)
add_subdirectory(test)

=== debian/changelog ===
milou (4:5.5.5-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 14 Apr 2016 13:48:59 -0700

milou (4:5.5.4-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * New upstream release Xenial

  [ Clive Johnston ]
  * new upstream release
  * New upstream release

  [ Scarlett Clark ]
  * Debian merge, No remaining changes. 
  * Merge unstable into archive to get debian merge. 

  [ Clive Johnston ]
  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Mon, 07 Mar 2016 21:26:08 +0100

milou (4:5.4.3-1) unstable; urgency=medium

  * New upstream release (5.4.3).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 01 Dec 2015 11:46:04 +0100

milou (4:5.4.3-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * Vivid backport
  * New upstream bugfix release

  [ Philip Muškovac ]
  * New upstream bugfix release (LP: #1518598)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 22 Nov 2015 16:37:34 +0100

milou (4:5.4.2-1) unstable; urgency=medium

  * New upstream release (5.4.2).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 06 Oct 2015 07:52:22 +0200

milou (4:5.4.1-1) unstable; urgency=medium

  * New upstream release (5.4.1).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 11 Sep 2015 18:45:39 +0200

milou (4:5.4.0-1) unstable; urgency=medium

  * New upstream release (5.4.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 03 Sep 2015 17:37:38 +0200

milou (4:5.3.2-1) unstable; urgency=medium

  * New upstream release (5.3.2).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 30 Jun 2015 22:48:18 +0200

milou (4:5.3.1-1) unstable; urgency=medium

  * New upstream release (5.3.0).
  * New upstream release (5.3.1).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 30 Jun 2015 10:43:11 +0200

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.3.0~),
-               libkf5coreaddons-dev,
-               libkf5declarative-dev (>= 5.2.0),
-               libkf5i18n-dev (>= 5.2.0),
-               libkf5runner-dev (>= 5.2.0),
-               libkf5service-dev,
+               extra-cmake-modules (>= 5.18.0~),
+               libkf5coreaddons-dev (>= 5.18.0~),
+               libkf5declarative-dev (>= 5.18.0~),
+               libkf5i18n-dev (>= 5.18.0~),
+               libkf5runner-dev (>= 5.18.0~),
+               libkf5service-dev (>= 5.18.0~),
                pkg-kde-tools (>= 0.15.16),
-               plasma-framework-dev (>= 5.2.0),
+               plasma-framework-dev (>= 5.18.0~),
                qtbase5-dev (>= 5.4),
                qtdeclarative5-dev (>= 5.4),
                qtscript5-dev (>= 5.4)
@@ -23,7 +23,7 @@
 
 Package: milou
 Architecture: any
-Depends: plasma-framework, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}, plasma-framework
 Breaks: plasma-widget-milou-kf5
 Replaces: plasma-widget-milou-kf5
 Description: Dedicated search plasmoid.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=milou-dbg

=== debian/watch ===
version=3
http://download.kde.org/unstable/plasma/([\d.]+)/milou-([\d.]+)\.tar\.xz
http://download.kde.org/stable/plasma/([\d.]+)/milou-([\d.]+)\.tar\.xz

## milou 5.7.5

=== debian/changelog ===
milou (4:5.7.5-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.7.4)
  * New upstream release (5.7.5)

 -- Rik Mills <rik.mills88@gmail.com>  Tue, 20 Sep 2016 20:28:27 -0500

milou (4:5.7.2-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.7.1)
  * New upstream release (5.7.2)

 -- Clive Johnston <clivejo@kubuntu.org>  Thu, 28 Jul 2016 12:07:04 +0000

milou (4:5.6.5-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.6.5)

 -- Clive Johnston <clivejo@kubuntu.org>  Fri, 15 Jul 2016 20:48:48 +0100

milou (4:5.6.4-0ubuntu1) yakkety; urgency=medium

  [ Clive Johnston ]
  * New upstream release

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Clive Johnston ]
  * New upstream release (5.6.4)

 -- Clive Johnston <clivejo@kubuntu.org>  Wed, 18 May 2016 13:22:14 -0700

=== debian/control ===
--- 
+++ 
@@ -5,21 +5,21 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.18.0~),
-               libkf5coreaddons-dev (>= 5.18.0~),
-               libkf5declarative-dev (>= 5.18.0~),
-               libkf5i18n-dev (>= 5.18.0~),
-               libkf5runner-dev (>= 5.18.0~),
-               libkf5service-dev (>= 5.18.0~),
+               extra-cmake-modules (>= 5.24.0~),
+               libkf5coreaddons-dev (>= 5.24.0~),
+               libkf5declarative-dev (>= 5.24.0~),
+               libkf5i18n-dev (>= 5.24.0~),
+               libkf5runner-dev (>= 5.24.0~),
+               libkf5service-dev (>= 5.24.0~),
                pkg-kde-tools (>= 0.15.16),
-               plasma-framework-dev (>= 5.18.0~),
-               qtbase5-dev (>= 5.4),
-               qtdeclarative5-dev (>= 5.4),
-               qtscript5-dev (>= 5.4)
+               plasma-framework-dev (>= 5.24.0~),
+               qtbase5-dev (>= 5.6.1~),
+               qtdeclarative5-dev (>= 5.6.1~),
+               qtscript5-dev (>= 5.6.1~)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/workspace/milou
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/plasma/milou.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/milou.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/milou
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/milou
 
 Package: milou
 Architecture: any

## milou 5.8.4

=== debian/changelog ===
milou (4:5.8.4-1) unstable; urgency=medium

  * New upstream release (5.8.4)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 18:37:34 +0100

milou (4:5.8.2-1) unstable; urgency=medium

  * New upstream release (5.8.2)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 19 Oct 2016 15:23:23 +0200

milou (4:5.8.1-1) unstable; urgency=medium

  * New upstream release (5.8.1)

 -- Maximiliano Curia <maxy@debian.org>  Sun, 16 Oct 2016 22:59:13 +0200

milou (4:5.8.0-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.8.0)
  * Bump group breaks (5.8)

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Update install files

 -- Maximiliano Curia <maxy@debian.org>  Fri, 07 Oct 2016 14:05:16 +0200

milou (4:5.7.4-1) unstable; urgency=medium

  * New upstream release (5.7.4)
  * Bump group breaks (5.7)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 26 Aug 2016 15:05:16 +0200

milou (4:5.7.0-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 10 Jul 2016 08:19:45 +0200

milou (4:5.6.5-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 27 Jun 2016 13:55:28 +0200

milou (4:5.6.4-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * uscan no longer supports this kind of watch files.
  * New upstream release (5.5.5).
  * Force installing in debian/tmp
  * Automatic update with ddeb_migration3.py
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8

 -- Maximiliano Curia <maxy@debian.org>  Sat, 28 May 2016 20:13:17 +0200

milou (4:5.5.4-1) experimental; urgency=medium

  * New upstream release (5.5.0).
  * New upstream release (5.5.1).
  * New upstream release (5.5.2).
  * New upstream release (5.5.3).
  * New upstream release (5.5.4).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 27 Jan 2016 16:49:14 +0100

=== debian/control ===
Source: milou
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.3.0~),
               libkf5coreaddons-dev (>= 5.24.0~),
               libkf5declarative-dev (>= 5.24.0~),
               libkf5i18n-dev (>= 5.24.0~),
               libkf5plasma-dev (>= 5.24.0~),
               libkf5runner-dev (>= 5.24.0~),
               libkf5service-dev (>= 5.24.0~),
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.6.0~),
               qtdeclarative5-dev (>= 5.6.0~),
               qtscript5-dev (>= 5.6.0~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/workspace/milou
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/plasma/milou.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/plasma/milou.git

Package: milou
Architecture: any
Depends: plasma-framework, ${misc:Depends}, ${shlibs:Depends}
Breaks: plasma-widget-milou-kf5, plasma-workspace (<< 4:5.8)
Replaces: plasma-widget-milou-kf5
Description: Dedicated search plasmoid.
 Milou can also be used as an alternative to KRunner, and
 does provide application launching. The main difference
 is that it concentrates more on searching.

## milou 5.9.4

=== debian/changelog ===
milou (4:5.9.4-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.4)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 23 Mar 2017 19:59:17 +0000

milou (4:5.9.3-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 02 Mar 2017 09:53:09 +0000

milou (4:5.9.2-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.2)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 20 Feb 2017 11:06:17 +0000

milou (4:5.9.1-0ubuntu1) zesty; urgency=low

  * New upstream release (5.9.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 14 Feb 2017 23:21:12 +0000

milou (4:5.9.0-0ubuntu1) zesty; urgency=low

  * New upstream release (5.9.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 04 Feb 2017 00:55:46 +0000

milou (4:5.8.5-0ubuntu1) zesty; urgency=low

  * New upstream release (5.8.5)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 29 Dec 2016 16:46:03 +0000

milou (4:5.8.4-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://
  * Merge with debian dropping the -dbg package in favour of -dbgsym
  * Remove undesired debian Breaks after merge

  [ Simon Quigley ]
  * New upstream release (5.8.3)

  [ Rik Mills ]
  * New upstream release (5.8.4)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 05 Dec 2016 19:55:09 +0000

milou (4:5.7.2-0ubuntu2) UNRELEASED; urgency=medium

  * Adding new file to install

 -- Clive Johnston <clivejo@kubuntu.org>  Fri, 05 Aug 2016 00:58:30 +0100

## milou 5.9.5

=== debian/changelog ===
milou (4:5.9.5-0ubuntu0.1) zesty; urgency=low

  * New upstream release (5.9.5) (LP: #1687444)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 09 May 2017 19:16:48 +0100

=== debian/control ===
Source: milou
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5declarative-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5plasma-dev (>= 5.31.0~),
               libkf5runner-dev (>= 5.31.0~),
               libkf5service-dev (>= 5.31.0~),
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~),
               qtscript5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/workspace/milou
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/milou
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/milou

Package: milou
Architecture: any
Depends: plasma-framework, ${misc:Depends}, ${shlibs:Depends}
Breaks: plasma-widget-milou-kf5
Replaces: plasma-widget-milou-kf5
Description: Dedicated search plasmoid.
 Milou can also be used as an alternative to KRunner, and
 does provide application launching. The main difference
 is that it concentrates more on searching.

## milou 5.10.5

=== debian/changelog ===
milou (4:5.10.5-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.5)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 23 Aug 2017 14:40:20 +0100

milou (4:5.10.4-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.4)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 19 Jul 2017 14:38:19 +0100

milou (4:5.10.3-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 01 Jul 2017 10:16:53 +0100

milou (4:5.10.2-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 15 Jun 2017 18:13:16 +0100

milou (4:5.10.1-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 06 Jun 2017 19:10:00 +0100

milou (4:5.10.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.9.95)
  * New upstream release (5.10.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 30 May 2017 09:50:17 +0100

milou (4:5.9.5-0ubuntu1) artful; urgency=low

  * New upstream release (5.9.5)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 30 Apr 2017 11:32:57 +0100

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.31.0~),
-               libkf5coreaddons-dev (>= 5.31.0~),
-               libkf5declarative-dev (>= 5.31.0~),
-               libkf5i18n-dev (>= 5.31.0~),
-               libkf5plasma-dev (>= 5.31.0~),
-               libkf5runner-dev (>= 5.31.0~),
-               libkf5service-dev (>= 5.31.0~),
+               extra-cmake-modules (>= 5.36.0~),
+               libkf5coreaddons-dev (>= 5.36.0~),
+               libkf5declarative-dev (>= 5.36.0~),
+               libkf5i18n-dev (>= 5.36.0~),
+               libkf5plasma-dev (>= 5.36.0~),
+               libkf5runner-dev (>= 5.36.0~),
+               libkf5service-dev (>= 5.36.0~),
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev (>= 5.6.1~),
                qtdeclarative5-dev (>= 5.6.1~),

## milou 5.12.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,19 +1,23 @@
+cmake_minimum_required(VERSION 2.8.12)
+
 project(Milou)
-set(PROJECT_VERSION "5.5.5")
+set(PROJECT_VERSION "5.12.4")
 set(PROJECT_VERSION_MAJOR 5)
-cmake_minimum_required(VERSION 2.8.12)
+
+set(QT_MIN_VERSION "5.9.0")
+set(KF5_MIN_VERSION "5.42.0")
 
 find_package(ECM 1.2.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
-find_package(Qt5 REQUIRED NO_MODULE COMPONENTS Script Qml Quick Widgets Test)
-find_package(KF5 REQUIRED COMPONENTS CoreAddons I18n Declarative Service Plasma Runner)
+find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Script Qml Quick Widgets Test)
+find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS CoreAddons I18n Declarative Service Plasma Runner)
 
 include(FeatureSummary)
-include(ECMAddTests)
 include(KDEInstallDirs)
 include(KDECMakeSettings)
-include(KDECompilerSettings)
+include(KDECompilerSettings NO_POLICY_SCOPE)
+include(ECMAddTests)
 include(GenerateExportHeader)
 
 # find_package(KdepimLibs)

=== lib/CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,17 @@
 add_definitions(-DTRANSLATION_DOMAIN=\"milou\")
+
+if(NOT CMAKE_VERSION VERSION_LESS "3.10.0")
+    # CMake 3.9+ warns about automoc on files without Q_OBJECT, and doesn't know about other macros.
+    # 3.10+ lets us provide more macro names that require automoc.
+    list(APPEND CMAKE_AUTOMOC_MACRO_NAMES "MILOU_EXPORT_PREVIEW")
+endif()
 
 set (lib_SRCS
     preview.cpp
     previewplugin.cpp
     sourcesmodel.cpp
+    draghelper.cpp
+    mousehelper.cpp
 )
 
 add_library(milou SHARED ${lib_SRCS})
@@ -12,6 +20,7 @@
 target_link_libraries (milou
     Qt5::Qml
     Qt5::Quick
+    Qt5::Widgets # for QAction...
     KF5::Service
     KF5::Plasma
     KF5::Runner

=== lib/qml/CMakeLists.txt ===

set (plugin_SRCS
    qmlplugins.cpp
)

add_library (milouqmlplugin SHARED ${plugin_SRCS})

target_link_libraries (milouqmlplugin
    Qt5::Qml

    milou
)

install (TARGETS milouqmlplugin DESTINATION ${QML_INSTALL_DIR}/org/kde/milou)
install (FILES qmldir DESTINATION ${QML_INSTALL_DIR}/org/kde/milou)
install (FILES ResultDelegate.qml ResultsView.qml globals.js
               ResultsListViewDelegate.qml ResultsListView.qml
         DESTINATION ${QML_INSTALL_DIR}/org/kde/milou)

=== debian/changelog ===
milou (4:5.12.4-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 27 Mar 2018 20:54:02 +0100

milou (4:5.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 09 Mar 2018 13:49:40 +0000

milou (4:5.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 20 Feb 2018 22:43:15 +0000

milou (4:5.12.1-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 14 Feb 2018 12:13:18 +0000

milou (4:5.12.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.11.95)
  * New upstream release (5.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 06 Feb 2018 11:50:45 +0000

milou (4:5.11.5-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.11.5)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 03 Jan 2018 17:39:28 +0000

milou (4:5.11.4-0ubuntu1) bionic; urgency=low

  * New upstream release (5.11.4)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 28 Nov 2017 21:15:49 -0600

milou (4:5.11.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.10.95)
  * New upstream release (5.11.0)
  * New upstream release (5.11.1)
  * New upstream release (5.11.2)
  * New upstream release (5.11.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 25 Nov 2017 17:58:52 +0000

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.36.0~),
-               libkf5coreaddons-dev (>= 5.36.0~),
-               libkf5declarative-dev (>= 5.36.0~),
-               libkf5i18n-dev (>= 5.36.0~),
-               libkf5plasma-dev (>= 5.36.0~),
-               libkf5runner-dev (>= 5.36.0~),
-               libkf5service-dev (>= 5.36.0~),
+               extra-cmake-modules (>= 5.42.0~),
+               libkf5coreaddons-dev (>= 5.42.0~),
+               libkf5declarative-dev (>= 5.42.0~),
+               libkf5i18n-dev (>= 5.42.0~),
+               libkf5plasma-dev (>= 5.42.0~),
+               libkf5runner-dev (>= 5.42.0~),
+               libkf5service-dev (>= 5.42.0~),
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev (>= 5.6.1~),
                qtdeclarative5-dev (>= 5.6.1~),

## milou 5.12.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 2.8.12)
 
 project(Milou)
-set(PROJECT_VERSION "5.12.4")
+set(PROJECT_VERSION "5.12.9")
 set(PROJECT_VERSION_MAJOR 5)
 
 set(QT_MIN_VERSION "5.9.0")

=== debian/changelog ===
milou (4:5.12.9-0ubuntu0.1) bionic; urgency=medium

  * New upstream bugfix release (5.12.9). (LP: #1843613)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 12 Sep 2019 10:41:31 +0100

milou (4:5.12.8-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.8) (LP: #1819075)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Jul 2019 09:39:57 +0100

milou (4:5.12.7-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.7) (LP: #1794494)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Oct 2018 08:55:48 +0100

milou (4:5.12.6-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.6) (LP: #1779456)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 30 Jun 2018 18:29:15 +0100

milou (4:5.12.5-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.5) (LP: #1768245)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 15 May 2018 18:34:30 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev (>= 5.6.1~),
                qtdeclarative5-dev (>= 5.6.1~),
-               qtscript5-dev (>= 5.6.1~)
+               qtscript5-dev (>= 5.6.1~),
 Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/kde/workspace/milou
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/milou

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_auto_install:
	$(overridden_command) --destdir=debian/tmp

override_dh_strip:
	$(overridden_command) --dbgsym-migration='milou-dbg (<= 4:5.5.5-1~~)'

=== debian/watch ===
version=3
http://download.kde.org/stable/plasma/([\d.]+)/milou-([\d.]+)\.tar\.xz

## milou 5.13.5

=== debian/changelog ===
milou (4:5.13.5-1ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.5)
  * Merge from Debian unstable. Remaining changes:
    - debian/control: Kubuntu packaging Vcs fields.
    - debian/control: Don't use Debian group breaks.

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 07 Sep 2018 16:35:19 +0100

milou (4:5.13.5-1) unstable; urgency=medium

  * New upstream release (5.13.5).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 06 Sep 2018 20:40:36 +0200

milou (4:5.13.4-1ubuntu1) cosmic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control: Kubuntu packaging Vcs fields.
    - debian/control: Don't use Debian group breaks.

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 28 Aug 2018 06:58:01 +0100

milou (4:5.13.4-1) unstable; urgency=medium

  * New upstream release (5.13.4).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sun, 19 Aug 2018 23:18:10 +0200

milou (4:5.13.4-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.4)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 03 Aug 2018 16:41:51 +0100

milou (4:5.13.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.0)
  * New upstream release (5.13.1)
  * New upstream release (5.13.2)
  * New upstream release (5.13.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 28 Jul 2018 17:26:24 +0100

milou (4:5.13.1-1) unstable; urgency=medium

  * New upstream release (5.13.1).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (4:5.13)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Tue, 26 Jun 2018 13:43:12 +0200

milou (4:5.12.6-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.12.6)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 28 Jun 2018 15:31:36 +0100

milou (4:5.12.5-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.12.5)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 08 May 2018 19:24:34 +0100

milou (4:5.12.4-1) unstable; urgency=medium

  * New upstream release (5.12.2).
  * New upstream release (5.12.4).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 28 Mar 2018 18:12:48 +0200

milou (4:5.12.1-1) sid; urgency=medium

  * Use the salsa canonical urls
  * New upstream release (5.12.1).
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Tue, 20 Feb 2018 22:08:58 +0100

milou (4:5.12.0-2) sid; urgency=medium

  * New revision
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Mon, 12 Feb 2018 16:03:46 +0100

milou (4:5.12.0-1) experimental; urgency=medium

  * Bump debhelper build-dep and compat to 11.
  * Build without build_stamp
  * Add link options as-needed
  * Add Bhushan Shah upstream signing key
  * New upstream release (5.12.0).
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.1.3.
  * Bump group breaks (5.12)
  * Use https uri for uscan
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Thu, 08 Feb 2018 15:20:56 +0100

milou (4:5.11.4-1) experimental; urgency=medium

  * New upstream release (5.11.4).
  * Bump Standards-Version to 4.1.2.
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 03 Jan 2018 16:49:07 -0300

milou (4:5.10.5-2) sid; urgency=medium

  * New revision
  * Bump Standards-Version to 4.1.0.
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sun, 03 Sep 2017 09:55:36 +0200

milou (4:5.10.5-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.10.3).
  * Bump Standards-Version to 4.0.0.
  * Update upstream metadata
  * Bump group breaks (5.10)
  * New upstream release (5.10.4).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.10.5).
  * Release to experimental

  [ Jonathan Riddell ]
  * add gpg keyring

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Aug 2017 15:28:40 +0200

milou (4:5.8.5-1) experimental; urgency=medium

  * New upstream release (5.8.5).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 30 Dec 2016 18:46:20 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 2.8.12),
-               debhelper (>= 9),
+Build-Depends: cmake (>= 3.0~),
+               debhelper (>= 11~),
                extra-cmake-modules (>= 5.42.0~),
                libkf5coreaddons-dev (>= 5.42.0~),
                libkf5declarative-dev (>= 5.42.0~),
@@ -13,10 +13,10 @@
                libkf5runner-dev (>= 5.42.0~),
                libkf5service-dev (>= 5.42.0~),
                pkg-kde-tools (>= 0.15.16),
-               qtbase5-dev (>= 5.6.1~),
-               qtdeclarative5-dev (>= 5.6.1~),
-               qtscript5-dev (>= 5.6.1~),
-Standards-Version: 3.9.8
+               qtbase5-dev (>= 5.9.0~),
+               qtdeclarative5-dev (>= 5.9.0~),
+               qtscript5-dev (>= 5.9.0~),
+Standards-Version: 4.1.3
 Homepage: https://projects.kde.org/projects/kde/workspace/milou
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/milou
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/milou
